Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel python-module-setuptools python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-openstack-nose-plugin
%define fedora 28
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name openstack.nose_plugin
%global pkg_name openstack-nose-plugin

Name:           python-module-openstack-nose-plugin
Version:        0.11
Release:        alt1_15
Summary:        openstack run_tests.py style output for nosetests

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Source44: import.info

%description
openstack.nose_plugin provides a nose plugin that allow's nosetests output to
mimic the output of openstack's run_tests.py.

%if 0%{?with_python3}
%package -n python3-module-openstack-nose-plugin
Group: Other
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute

Requires:       python3-module-nose
Requires:       python3-module-colorama
Requires:       python3-module-termcolor

%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-module-openstack-nose-plugin
openstack.nose_plugin provides a nose plugin that allow's nosetests output to
mimic the output of openstack's run_tests.py.
This package provides Python 3 build of %{pypi_name}.

%endif

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%python_build
%if 0%{?with_python3}
%python3_build
%endif

%install
%python_install
%if 0%{?with_python3}
%python3_install
%endif

%files -n python-module-openstack-nose-plugin
%doc README.rst
%{python_sitelibdir_noarch}/openstack
%{python_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?-nspkg.pth

%if 0%{?with_python3}
%files -n python3-module-openstack-nose-plugin
%doc README.rst
%{python3_sitelibdir_noarch}/openstack
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?-nspkg.pth
%endif

%changelog
* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_15
- update to new release by fcimport

* Sat Jun 23 2018 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_14
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_7
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_5
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_4
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_3
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_2
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_1
- initial fc import

